/* isrLib.h
 *
 * This file contains functions that support interrupt handling
 * in the system.
 */

#ifndef __ISRLIB_H
#define __ISRLIB_H

#include "config.h"

/* isr types & defines */
typedef void (*ISR_FUNC_PTR)(int);

/* isr public functions */

/* Initialize the ISR support package */
void isrLibInit();

/* Connect an ISR to a particular interrupt vector.  The ISR will
 * be called with the specified parameters.  To disconnect an ISR,
 * make this call with a NULL (0) function pointer.  ISR support
 * package must be initialized first. */
void isrConnect(int vecNum, ISR_FUNC_PTR isrHandler, int isrParam1, U32 isrP2);

#endif /* __ISRLIB_H */
